Bug 1904507 - vsphere-problem-detector: implement missing metrics
Summary: vsphere-problem-detector: implement missing metrics
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Storage
Version: 4.7
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
: 4.8.0
Assignee: Jan Safranek
QA Contact: Wei Duan
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-12-04 16:25 UTC by Jan Safranek
Modified: 2021-07-27 22:35 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-07-27 22:34:40 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift enhancements pull 790 0 None open Bug 1904507: Update vsphere-problem-detector with current implementation 2021-06-03 14:15:08 UTC
Github openshift vsphere-problem-detector pull 43 0 None closed Bug 1904507: Add metrics for Datastore types 2021-06-03 14:15:08 UTC
Red Hat Product Errata RHSA-2021:2438 0 None None None 2021-07-27 22:35:11 UTC

Description Jan Safranek 2020-12-04 16:25:20 UTC
vsphere-problem-detector does not implement all metrics described in
https://github.com/openshift/enhancements/blob/master/enhancements/storage/vsphere-problem-detector.md#metrics

* Implement the missing ones or update the enhancements to remove them.
* Update telemetry setting to report them to us (or update the enhancement)

Comment 1 Jan Safranek 2020-12-14 14:40:56 UTC
Already merged at feature freeze:
* List of failed periodic tests.
* vCenter version.


https://github.com/openshift/vsphere-problem-detector/pull/12:
* HW version of vSphere VMs.
* ESXi host version (of each host).

Comment 4 Jan Safranek 2021-05-21 13:13:18 UTC
Current list of missing metrics:
List of installed storage plugins (3rd party vendor VIBs) - if possible.
List of enabled features:
 * HA
 * DRS

I did not find a way how to list volume plugins and HA+DRS is IMO not that interesting. I am going to remove them from the enhancement.

In addition, there is a rumor that NFS won't be supported by the CSI driver, https://vsphere-csi-driver.sigs.k8s.io/compatiblity_matrix.html
> vSphere CSI driver does not support provisioning volumes on NFSv4 Datastore.

I'm adding a metric for datastore types, so we know how much NFS is used.

Comment 6 Wei Duan 2021-06-10 07:47:46 UTC
Verified pass on 4.8.0-0.nightly-2021-06-09-142759
{
  "status": "success",
  "data": {
    "resultType": "vector",
    "result": [
      {
        "metric": {
          "__name__": "vsphere_datastore_total",
          "container": "vsphere-problem-detector-operator",
          "endpoint": "vsphere-metrics",
          "instance": "10.130.0.67:8444",
          "job": "vsphere-problem-detector-metrics",
          "namespace": "openshift-cluster-storage-operator",
          "pod": "vsphere-problem-detector-operator-6dc67d66f4-sprwc",
          "service": "vsphere-problem-detector-metrics",
          "type": "vsan"
        },
        "value": [
          1623309572.568,
          "1"
        ]
      }
    ]
  }
}

Comment 9 errata-xmlrpc 2021-07-27 22:34:40 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.8.2 bug fix and security update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2021:2438


Note You need to log in before you can comment on or make changes to this bug.